#ifndef _COMMON_HPP
#define _COMMON_HPP 1

                          /**************************************************/
                          /*                                                */
                          /*                   Common.hpp                   */
                          /*                                                */
                          /*     Fonctions communes (encodeur/decodeur)     */
                          /*                                                */
                          /**************************************************/

/*
** $Revision: 1.1 $
** $State: Exp $
** $Date: 1998/07/24 14:26:51 $
**
** $Log: Common.hpp $
** Revision 1.1  1998/07/24 14:26:51  kakace
** Automatic global CheckIn
**
** Revision 1.19  1998/07/24 14:14:23  kakace
** Version intermdiaire (CheckIn global)
**
** Revision 1.17  1998/07/02 15:51:56  kakace
** Automatic global CheckIn
**
*/

//----------------------------------------------------------------------------------------------------

/// Includes

#ifndef  LIBRARIES_ASL_H
#include <libraries/asl.h>
#endif

#ifndef  CLIB_DOS_PROTOS_H
#include <clib/dos_protos.h>
#endif

#ifndef  CLIB_EXEC_PROTOS_H
#include <clib/exec_protos.h>
#endif

#ifndef  CLIB_ASL_PROTOS_H
#include <clib/asl_protos.h>
#endif

#ifndef  _AMIGAOS_HPP
#include "AmigaOS.hpp"
#endif

///


//----------------------------------------------------------------------------------------------------
//===================================== Dclarations/Dfinitions =====================================
//----------------------------------------------------------------------------------------------------

// Variables d'environnement

// Codes d'erreur pour ReadFileList().

enum e_FileListErrors {NO_ERROR,            // Aucune erreur dtecte.
                       NO_NAME_GIVEN,       // Nom de fichier/rpertoire/motif incorrect (nul)
                       NO_MEMORY,           // Mmoire insuffisante.
                       MATCHING_ERROR       // Erreur dans MatchFirst/MatchNext
                      };

extern class PegaseConfigC GlobalConfig;    // Paramtres par dfaut de l'encodeur.


//----------------------------------------------------------------------------------------------------
//============================================ Prototypes ============================================
//----------------------------------------------------------------------------------------------------

e_FileListErrors    ReadFileList(PegaseConfigC &roGlobalCfg, ULONG iIndex);
void                RequestFileList();
int                 EncodeFile(FileInfosC &roFileInfos);
class InputStreamC *CreateAudioC(FileInfosC &roFileInfos);


//----------------------------------------------------------------------------------------------------

#endif  // _COMMON_HPP

