#ifndef _PEGASECOND_HPP
#define _PEGASECOND_HPP 1

                          /**************************************************/
                          /*                                                */
                          /*                 PgaseCond.hpp                 */
                          /*                                                */
                          /*    Constantes de compilation conditionnelle    */
                          /*                                                */
                          /**************************************************/

/*
** $Revision: 1.2 $
** $State: Exp $
** $Date: 1998/08/16 19:03:36 $
**
** $Log: PegaseCond.hpp $
** Revision 1.2  1998/08/16 19:03:36  kakace
** Version Beta3+
**
** Revision 1.1  1998/07/24 14:26:52  kakace
** Automatic global CheckIn
**
** Revision 1.6  1998/07/24 14:14:25  kakace
** Version intermdiaire (CheckIn global)
**
** Revision 1.4  1998/07/08 12:36:55  kakace
** Automatic global CheckIn
**
*/


// "bricolage" permettant d'ouvrir une fentre aprs un dmarrage depuis le Workbench

#ifndef  _INCLUDE_FSTREAM_H
#include <fstream.h>
#endif


//----------------------------------------------------------------------------------------------------
// Constantes de porte gnrale


#define _VERSION    1
#define _REVISION   6

#if __STORM >= 39
#define USE_OLD_MATHLIB
#endif

#ifdef  __PPC__
#define _USE_ASM_FCT_   0
#else
#if     _CPUMODEL_ != 68020
//#define _USE_ASM_FCT_   1       // Lier avec les fonctions 100% asm.
#define _USE_ASM_FCT_   0
#else
#define _USE_ASM_FCT_   0       // La version 68020 n'utilise pas le FPU, ce qui complique
#endif                          // les choses pour le moment...
#endif

// Slection du format REAL.

#ifndef FLOAT_DOUBLE
#define FLOAT_DOUBLE 1
#endif

#if     FLOAT_DOUBLE == 0
#define REAL   float
#else
#define REAL   double
#endif


// Utiliser des tables Sin/Cos en lieu et place des calculs trigonomtriques
// selon le modle de processeur utilis.

#if     _CPUMODEL_ == 68060         // La version "calcul" est plus rapide de 10% que la
#define _USE_SINCOS_TABLE_ 0        // version "table" (68060/50).
#define CHECK_BREAK_DELAY   10
#endif

#if     _CPUMODEL_ == 68040
#define _USE_SINCOS_TABLE_ 0
#define CHECK_BREAK_DELAY   5
#endif

#if     _CPUMODEL_ == 68030
#define _USE_SINCOS_TABLE_ 1
#define CHECK_BREAK_DELAY   2
#endif

#if     _CPUMODEL_ == 68020
#define _USE_SINCOS_TABLE_ 1
#define CHECK_BREAK_DELAY   1
#endif

#ifdef  __PPC__
#define _USE_SINCOS_TABLE_  0
#define CHECK_BREAK_DELAY   40
#endif

#endif  // _PEGASECOND_HPP


